
\subsection{Neu}

\begin{exampleblock}{Aufgabe}
	Was ist die Ausgabe des folgenden Programms?   
\end{exampleblock}
\begin{lstlisting}
#include<vector>
#include<iostream>

int main(){
	std::vector<int> v (8, 1);
	
	for (int i = 1; i <= v.size(); i ++){
		v.at((i+3)%v.size())  = v.at(i%v.size()) + 3;
	}
	for(int i = 0; i < v.size() ; i++){
		std::cout << v.at(i) << " ";
	}
}
\end{lstlisting}

\begin{exampleblock}{Aufgabe}
	Was ist die Ausgabe des folgenden Programms?   
\end{exampleblock}
\begin{lstlisting}
#include<string>
#include<iostream>

int main(){
	std::string str = "Fejlm rhcrc"
	
	for (int i = 1; i <= str.size(); i ++){
		str.at(i-1) += 2*(i%2 != false);
	}
}
\end{lstlisting}


%----------------------------------------------------------------------------------------

